Bug 90755 - Latest glibc packages break java
Summary: Latest glibc packages break java
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-13 13:24 UTC by Nicolas Mailhot
Modified: 2016-11-24 15:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 06:32:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2003-05-13 13:24:59 UTC
Description of problem:
Latest glibc packages break java.
Is there a -compat package somewhere ?

Version-Release number of selected component (if applicable):

[nim@ulysse nim]$ rpm -qa | grep glibc
glibc-kernheaders-2.4-8.13
glibc-profile-2.3.2-37
glibc-common-2.3.2-37
glibc-devel-2.3.2-37
glibc-utils-2.3.2-37
glibc-2.3.2-37

How reproducible:

Always

Steps to Reproduce:
1. Update rawhide 
2. Try to use java utils

[nim@ulysse nim]$ /usr/lib/jvm/java-1.3.1-sun-1.3.1.08/bin/java -version
Error occurred during initialization of VM
Unable to load native library:
/usr/lib/jvm/java-1.3.1-sun-1.3.1.08/jre/lib/i386/libjava.so: symbol
__libc_wait, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference

Comment 1 Nicolas Mailhot 2003-05-13 21:26:52 UTC
/usr/lib/jvm/java-1.3.1-blackdown-1.3.1.02b/bin/i386/native_threads/java:
relocation error:
/usr/lib/jvm/java-1.3.1-blackdown-1.3.1.02b/jre/lib/i386/libjava.so: symbol
__libc_waitpid, version GLIBC_2.0 not defined in file libc.so.6 with link time
reference




Comment 2 Jakub Jelinek 2003-05-14 06:07:05 UTC
It is a bug in that ancient JDK, fixed in more recent JDK releases.

Comment 3 Nicolas Mailhot 2003-05-14 07:36:25 UTC
Unfortunately 1.3.1 is the target production java sdk for lots of people.
With 1.4.0 quietly retired by Sun and 1.4.1 looking like it will have the same
fate as soon as 1.4.2 is available people don't have much choice.

And 1.3.1 *is* still updated regularly - the sun 1.3.1 sdk involved in the bug
report was updated just a few days ago.

However, that's your call

Comment 4 Nicolas Mailhot 2003-05-17 20:23:03 UTC
IBM java broken too

[nim@rousalka nim]$ unset LANG
[nim@rousalka nim]$ export LD_ASSUME_KERNEL=2.2.5
[nim@rousalka nim]$ /usr/lib/jvm/java-1.4.0-ibm/bin/java -version
Unable to initialize signal handler, thread create failed
Could not create the Java virtual machine.


Comment 5 Ulrich Drepper 2004-09-28 06:32:31 UTC
All JVMs needed some help when using NPTL.  Sun's 1.4.1 (I think)
worked, IBM also eventually got a 1.4.1 version to work, maybe even
backported the changes to a 1.3 version.

This is in no case a glibc problem.  Closing.


Note You need to log in before you can comment on or make changes to this bug.